# Module cargo::sources::registry::http_remote

source ·
Expand description

Access to a HTTP-based crate registry.

See `HttpRegistry` for details.

## Modules

- tls 🔒

## Structs

- CompletedDownload 🔒
- Download 🔒
- Downloads 🔒
  Helper for downloading crates.
- Headers 🔒
- HttpRegistry
  A registry served by the HTTP-based registry API.

## Enums

- StatusCode 🔒

## Constants

- ETAG 🔒
- IF_MODIFIED_SINCE 🔒
- IF_NONE_MATCH 🔒
- LAST_MODIFIED 🔒
- UNKNOWN 🔒
- WWW_AUTHENTICATE 🔒